package org.dromara.main.service;

import org.dromara.common.mybatis.core.page.PageQuery;
import org.dromara.common.mybatis.core.page.TableDataInfo;
import org.dromara.main.domain.bo.MainPostCandidateHireBo;
import org.dromara.main.domain.bo.MainPostCandidateQueryBo;
import org.dromara.main.domain.bo.MainPostCandidateStatusBo;
import org.dromara.main.domain.vo.MainPostCandidateVo;

import java.util.List;

public interface IMainPostCandidateService {

    TableDataInfo<MainPostCandidateVo> queryPageList(MainPostCandidateQueryBo bo, PageQuery pageQuery);

    List<MainPostCandidateVo> queryList(MainPostCandidateQueryBo bo);

    Boolean hireCandidate(MainPostCandidateHireBo bo);

    Boolean updateStatus(MainPostCandidateStatusBo bo);
}
